// 005 u_c_shape_6
// 11 dec 2004

// -- Delphi implementation from the book:
// --   Design Patterns Elements of Reusable Object-Oriented Software
// --   Addison Wesley - 1994 - ISBN 0-201-63361-2
// -- (C) Erich GAMMA, Richard HELM, Ralph JOHNSON, John VLISSIDES 1994

// -- translation from C to Delphi performed by
// --   Felix John COLIBRI  http://www.felix-colibri.com

(*$r+*)

unit u_c_shape_6;
  interface
    uses Windows, u_c_manipulator_6;

    type // -- abstract
         c_shape= class
                    procedure get_bounding_box(var pv_top_left, pv_bottom_right: tPoint); Virtual; Abstract;
                    // -- a factory method to get a manipulator
                    function f_c_create_manipulator: c_manipulator; Virtual; Abstract;
                  end; // c_shape

  implementation

    begin // u_c_shape
    end. // u_c_shape
