// 005 u_c_text_view_6
// 11 dec 2004

// -- Delphi implementation from the book:
// --   Design Patterns Elements of Reusable Object-Oriented Software
// --   Addison Wesley - 1994 - ISBN 0-201-63361-2
// -- (C) Erich GAMMA, Richard HELM, Ralph JOHNSON, John VLISSIDES 1994

// -- translation from C to Delphi performed by
// --   Felix John COLIBRI  http://www.felix-colibri.com

(*$r+*)

unit u_c_text_view_6;
  interface

    type c_text_view= class
                        Constructor create_text_view;
                        procedure get_origin(var pv_x, pv_y: Integer);
                        procedure get_extent(var pv_height, pv_width: Integer);
                        function f_is_empty: Boolean;
                        Destructor Destroy; Override;
                      end; // c_text_view

  implementation

    // -- c_text_view

    Constructor c_text_view.create_text_view;
      begin
        Inherited Create;
      end; // create_text_view

    procedure c_text_view.get_origin(var pv_x, pv_y: Integer);
      begin
      end; // get_origin

    procedure c_text_view.get_extent(var pv_height, pv_width: Integer);
      begin
      end; // get_extent

    function c_text_view.f_is_empty: Boolean;
      begin
        // -- avoid warnings
        Result:= False;
      end; // f_is_empty

    Destructor c_text_view.Destroy;
      begin
        Inherited;
      end; // Destroy

    begin // u_c_text_view
    end. // u_c_text_view
